<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: friendship.proto

namespace Tellie\Family;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 * Generated from protobuf message <code>tellie.family.FriendshipRemovedRequest</code>
 */
class FriendshipRemovedRequest extends \Google\Protobuf\Internal\Message
{
    /**
     * Generated from protobuf field <code>string user_id = 1;</code>
     */
    protected $user_id = '';
    /**
     * Generated from protobuf field <code>string friend_id = 2;</code>
     */
    protected $friend_id = '';

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type string $user_id
     *     @type string $friend_id
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Friendship::initOnce();
        parent::__construct($data);
    }

    /**
     * Generated from protobuf field <code>string user_id = 1;</code>
     * @return string
     */
    public function getUserId()
    {
        return $this->user_id;
    }

    /**
     * Generated from protobuf field <code>string user_id = 1;</code>
     * @param string $var
     * @return $this
     */
    public function setUserId($var)
    {
        GPBUtil::checkString($var, True);
        $this->user_id = $var;

        return $this;
    }

    /**
     * Generated from protobuf field <code>string friend_id = 2;</code>
     * @return string
     */
    public function getFriendId()
    {
        return $this->friend_id;
    }

    /**
     * Generated from protobuf field <code>string friend_id = 2;</code>
     * @param string $var
     * @return $this
     */
    public function setFriendId($var)
    {
        GPBUtil::checkString($var, True);
        $this->friend_id = $var;

        return $this;
    }

}

